
* > Label[type=StereotypeLabel] {
    visible:false;
    displayTags: false;
}

* {
    followSVGSymbol: true;
    displayTags :false;
}

/************************************* "ESFLocalAnalysis::SBlockLAnalysis" *******************************************/
[appliedStereotypes~="ESFLocalAnalysis::SBlockLAnalysis"]{
	maintainSymbolRatio:true;
	followSVGSymbol:false;
	fillColor:#EFEFEF;
	transparency:0;
	displayBorder:true;
	displayName:true;
	displayIcon:true;
	maskLabel:name;
	canonical:true;
}

/************************************* "ESFLocalAnalysis::SPortLAnalysis" *******************************************/
[appliedStereotypes~="ESFLocalAnalysis::SPortLAnalysis"][sDirectionLAnalysis=IN]{
	shapeVisibility: true;
    shapeDirection: 4;
    displayName:true;
    maskLabel:name;
    svgFile: url("platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/svg/profile/shape_input_sport_la.svg");
}

[appliedStereotypes~="ESFLocalAnalysis::SPortLAnalysis"][sDirectionLAnalysis=OUT]{
	shapeVisibility: true;
    shapeDirection: 4;
    displayName:true;
    maskLabel:name;
    svgFile: url("platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/svg/profile/shape_output_sport_la.svg");
}

[appliedStereotypes~="ESFLocalAnalysis::SPortLAnalysis"][sDirectionLAnalysis=UNDEFINED]{
    shapeVisibility: true;
    shapeDirection: 4;
    displayName:true;
    maskLabel:name;
    svgFile: url("platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/svg/profile/shape_inoutput_sport_la.svg");
}

Port > Label { 
	maskLabel: name;
}

/************************************* "ESFLocalAnalysis::SPropagationLink" *******************************************/
[appliedStereotypes~="ESFLocalAnalysis::SPropagationLink"]{
    lineStyle: solid;
    lineWidth:3;
    lineColor: purple;
}

[appliedStereotypes~="ESFLocalAnalysis::SPropagationLink"] > Label {
    visible:false;
}

/*********************************** "ESFLocalAnalysis::SDysfunctionalAssociation" *************************************/
[appliedStereotypes~="ESFLocalAnalysis::SDysfunctionalAssociation"]{
    lineStyle: solid;
    lineWidth:3;
    lineColor: orange;
}

[appliedStereotypes~="ESFLocalAnalysis::SDysfunctionalAssociation"] > Label {
    visible:false;
}

/************************************* "ESFLocalAnalysis::SAndGateLAnalysis" *******************************************/
[appliedStereotypes~="ESFLocalAnalysis::SAndGateLAnalysis"] > Compartment[kind="symbol"]{
    visible:true;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SAndGateLAnalysis"] > Compartment[kind="internalstructure"]{
    visible:false;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SAndGateLAnalysis"] > Compartment[kind="attribute"]{
    visible:false;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SAndGateLAnalysis"]{
    maintainSymbolRatio:false;
    followSVGSymbol:true;
    fillColor:white;
    transparency:100;
    displayBorder:false;
    displayName:false;
    svgFile: url("platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/svg/profile/shape_sandgate_la.svg");
}

/************************************* "ESFLocalAnalysis::SOrGateLAnalysis" *******************************************/
[appliedStereotypes~="ESFLocalAnalysis::SOrGateLAnalysis"] > Compartment[kind="symbol"]{
    visible:true;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SOrGateLAnalysis"] > Compartment[kind="internalstructure"]{
    visible:false;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SOrGateLAnalysis"] > Compartment[kind="attribute"]{
    visible:false;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SOrGateLAnalysis"]{
    maintainSymbolRatio:false;
    followSVGSymbol:true;
    fillColor:white;
    transparency:100;
    displayBorder:false;
    displayName:false;
    svgFile: url("platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/svg/profile/shape_sorgate_la.svg");
}

/************************************* "ESFLocalAnalysis::SBarrierLAnalysis" *******************************************/
[appliedStereotypes~="ESFLocalAnalysis::SBarrierLAnalysis"]  > Compartment[kind="internalstructure"]{
    visible:false;
    showTitle:false;
}
[appliedStereotypes~="ESFLocalAnalysis::SBarrierLAnalysis"]  > Compartment[kind="symbol"]{
    visible:false;
    showTitle:false;
}
[appliedStereotypes~="ESFLocalAnalysis::SBarrierLAnalysis"]  > Compartment[kind="attribute"]{
    visible:false;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SBarrierLAnalysis"]{
    maintainSymbolRatio:true;
    followSVGSymbol:false;
    fillColor:orange;
    transparency:0;
    displayBorder:true;
    displayName:true;
    displayIcon:true;
    maskLabel:name;
}

/************************************* "ESFLocalAnalysis::SLocalEvent" *******************************************/
/* Hide all compartments */
[appliedStereotypes~="ESFLocalAnalysis::SLocalEvent"]  > Compartment[kind="internalstructure"]{
    visible:false;
    showTitle:false;
}
[appliedStereotypes~="ESFLocalAnalysis::SLocalEvent"]  > Compartment[kind="symbol"]{
    visible:false;
    showTitle:false;
}
[appliedStereotypes~="ESFLocalAnalysis::SLocalEvent"]  > Compartment[kind="attribute"]{
    visible:false;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SLocalEvent"]{
    maintainSymbolRatio:true;
    followSVGSymbol:false;
    fillColor:#FFFFA9;
    transparency:0;
    displayBorder:true;
    displayName:true;
    displayIcon:true;
    maskLabel:name;
}

/************************************* "ESFLocalAnalysis::SSystemEvent" *******************************************/
/* Hide all compartments */
[appliedStereotypes~="ESFLocalAnalysis::SSystemEvent"]  > Compartment[kind="internalstructure"]{
    visible:false;
    showTitle:false;
}
[appliedStereotypes~="ESFLocalAnalysis::SSystemEvent"]  > Compartment[kind="symbol"]{
    visible:false;
    showTitle:false;
}
[appliedStereotypes~="ESFLocalAnalysis::SSystemEvent"]  > Compartment[kind="attribute"]{
    visible:false;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SSystemEvent"]{
    maintainSymbolRatio:true;
    followSVGSymbol:false;
    fillColor:#ACAC00;
    transparency:0;
    displayBorder:true;
    displayName:true;
    displayIcon:true;
    maskLabel:name;
}

/************************************* "ESFLocalAnalysis::SUntimelyFailureMode" *******************************************/
[appliedStereotypes~="ESFLocalAnalysis::SUntimelyFailureMode"] > Compartment[kind="symbol"]{
    visible:true;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SUntimelyFailureMode"] > Compartment[kind="internalstructure"]{
    visible:false;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SUntimelyFailureMode"] > Compartment[kind="attribute"]{
    visible:false;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SUntimelyFailureMode"]{
    maintainSymbolRatio:false;
    followSVGSymbol:true;
    fillColor:white;
    transparency:100;
    displayBorder:false;
    displayName:false;
    elementIcon:false;
    svgFile: url("platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/svg/profile/shape_untimely_sfailuremode.svg")
}

/************************************* "ESFLocalAnalysis::SAbsentFailureMode" *******************************************/
[appliedStereotypes~="ESFLocalAnalysis::SAbsentFailureMode"] > Compartment[kind="symbol"]{
    visible:true;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SAbsentFailureMode"] > Compartment[kind="internalstructure"]{
    visible:false;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SAbsentFailureMode"] > Compartment[kind="attribute"]{
    visible:false;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SAbsentFailureMode"]{
    maintainSymbolRatio:false;
    followSVGSymbol:true;
    fillColor:white;
    transparency:100;
    displayBorder:false;
    displayName:false;
    elementIcon:false;
    svgFile: url("platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/svg/profile/shape_absent_sfailuremode.svg")
}

/************************************* "ESFLocalAnalysis::SErroneousFailureMode" *******************************************/
[appliedStereotypes~="ESFLocalAnalysis::SErroneousFailureMode"] > Compartment[kind="symbol"]{
    visible:true;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SErroneousFailureMode"] > Compartment[kind="internalstructure"]{
    visible:false;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SErroneousFailureMode"] > Compartment[kind="attribute"]{
    visible:false;
    showTitle:false;
}

[appliedStereotypes~="ESFLocalAnalysis::SErroneousFailureMode"]{
    maintainSymbolRatio:false;
    followSVGSymbol:true;
    fillColor:white;
    transparency:100;
    displayBorder:false;
    displayName:false;
    elementIcon:false;
    svgFile: url("platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/svg/profile/shape_erroneous_sfailuremode.svg")
}